aboutsummaryrefslogtreecommitdiffhomepage
path: root/third_party
diff options
context:
space:
mode:
authorGravatar Lukacs Berki <lberki@google.com>2016-07-21 08:45:39 +0000
committerGravatar John Cater <jcater@google.com>2016-07-21 20:35:41 +0000
commit9cf8209e7f59354430f63a5999b80c55285a593e (patch)
treeeb887c54cacd6a7a9d4cd949d467c896d97b9cc4 /third_party
parent0d04e33e51b0999c843802148ddaab676460586a (diff)
Make ijar_test nuke $TEST_TMPDIR on exit.
$TEST_TMPDIR is not deleted automatically and this can result in the accumulation of a bunch of large files on the CI machines of Bazel because this tests writes 2GB files for testing. -- MOS_MIGRATED_REVID=128037053
Diffstat (limited to 'third_party')
-rwxr-xr-xthird_party/ijar/test/ijar_test.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/third_party/ijar/test/ijar_test.sh b/third_party/ijar/test/ijar_test.sh
index 305426fbf9..92b5229484 100755
--- a/third_party/ijar/test/ijar_test.sh
+++ b/third_party/ijar/test/ijar_test.sh
@@ -40,6 +40,11 @@ shift
## Test framework
source ${DIR}/testenv.sh || { echo "testenv.sh not found!" >&2; exit 1; }
+function cleanup() {
+ rm -fr "$TEST_TMPDIR"/*
+}
+
+trap cleanup EXIT
## Tools
# Ensure that tooling path is absolute if not in PATH.